Skip to main content
POST
/
v1
/
llm-configurations
Create Llm Configuration
curl --request POST \
  --url https://api.example.com/v1/llm-configurations \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "display_name": "<string>",
  "model_name": "<string>",
  "secret_id": "<string>",
  "base_url": "<string>"
}
'
{
  "code": 100,
  "data": {
    "id": "<string>",
    "base_url": "<string>",
    "display_name": "<string>",
    "model_name": "<string>",
    "secret_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "message": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Cookies

la_session
string

Body

application/json

Request schema for creating a new LLM configuration

display_name
string
required

Display name for the configuration

Required string length: 1 - 255
model_name
string
required

The model name to use

Required string length: 1 - 255
secret_id
string
required

ID of the secret containing the API key

Required string length: 1 - 36
base_url
string

The LLM API endpoint URL

Response

Successful Response

code
integer
default:100
data
LLMConfigurationResponseSchema · object

Response schema for an LLM configuration

message
string